Panda3D

Public Member Functions | Public Attributes | List of all members
PhysxCapsuleForceFieldShapeDesc Class Reference

Descriptor for a capsule force field shape. More...

`#include "physxCapsuleForceFieldShapeDesc.h"`

Inheritance diagram for PhysxCapsuleForceFieldShapeDesc:

## Public Member Functions
float | get_height () const
| The distance between the two hemispherical ends of the capsule. More...
float | get_radius () const
| The radius of the capsule's hemispherical ends and its trunk. More...
bool | is_valid () const
| Returns true if the descriptor is valid. More...
NxForceFieldShapeDesc * | ptr () const
void | set_height (float height)
| Sets the distance between the two hemispherical ends of the capsule. More...
void | set_radius (float radius)
| Sets the radius of the capsule's hemispherical ends and its trunk. More...
void | set_to_default ()
| (re)sets the structure to the default. More...
Public Member Functions inherited from PhysxForceFieldShapeDesc
LMatrix4f | get_mat () const
const char * | get_name () const
LPoint3f | get_pos () const
void | set_hpr (float h, float p, float r)
void | set_mat (const LMatrix4f &mat)
void | set_name (const char *name)
| Sets a possible debug name. More...
void | set_pos (const LPoint3f &pos)

## Public Attributes
NxCapsuleForceFieldShapeDesc | _desc

## Detailed Description

Descriptor for a capsule force field shape.

Definition at line 25 of file physxCapsuleForceFieldShapeDesc.h.

## Member Function Documentation

## ◆ get_height()

float PhysxCapsuleForceFieldShapeDesc::get_height | ( |  | ) | const

The distance between the two hemispherical ends of the capsule.

Definition at line 46 of file physxCapsuleForceFieldShapeDesc.cxx.

## ◆ get_radius()

float PhysxCapsuleForceFieldShapeDesc::get_radius | ( |  | ) | const

The radius of the capsule's hemispherical ends and its trunk.

Definition at line 37 of file physxCapsuleForceFieldShapeDesc.cxx.

## ◆ is_valid()

bool PhysxCapsuleForceFieldShapeDesc::is_valid | ( |  | ) | const
| inline virtual

Returns true if the descriptor is valid.

Implements PhysxForceFieldShapeDesc.

Definition at line 44 of file physxCapsuleForceFieldShapeDesc.I.

## ◆ set_height()

void PhysxCapsuleForceFieldShapeDesc::set_height | ( | float | height | ) |

Sets the distance between the two hemispherical ends of the capsule.

Definition at line 28 of file physxCapsuleForceFieldShapeDesc.cxx.

## ◆ set_radius()

void PhysxCapsuleForceFieldShapeDesc::set_radius | ( | float | radius | ) |

Sets the radius of the capsule's hemispherical ends and its trunk.

Definition at line 19 of file physxCapsuleForceFieldShapeDesc.cxx.

## ◆ set_to_default()

void PhysxCapsuleForceFieldShapeDesc::set_to_default | ( |  | ) |
| inline virtual

(re)sets the structure to the default.

Implements PhysxForceFieldShapeDesc.

Definition at line 34 of file physxCapsuleForceFieldShapeDesc.I.

The documentation for this class was generated from the following files:

- panda/src/physx/physxCapsuleForceFieldShapeDesc.h
- panda/src/physx/physxCapsuleForceFieldShapeDesc.cxx
- panda/src/physx/physxCapsuleForceFieldShapeDesc.I